import project, os
import sys

from anuga.shallow_water.data_manager import sww2dem
from os import sep
from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts


#time_dir = '20080908_154507_run_final_0.0_polyline_alpha0.1_kvanputt'
#time_dir = '20080909_123144_run_final_0.0_polyline_alpha0.1_kvanputt'

time_dir1 = '20081202_084202_run_final_1_27255_alpha0.1_kvanputt'
time_dir2 = '20081202_083932_run_final_0_27255_alpha0.1_kvanputt'

time_dirs = [time_dir1,time_dir2]

cellsize = 250
#cellsize = 150
timestep_list = range(53000,67000,1020)
directory = project.output_dir

is_parallel = False
#is_parallel = True

if is_parallel == True: nodes = 4



var = [0,2,3] 
#var = [2,3] # depth and Speed
#var = [2,3] # elevation, depth and Speed

for time_dir in time_dirs:
    name = directory+sep+time_dir+sep+project.scenario_name+'_time_39300_0'
    print 'output dir:', name
    
    for which_var in var:
        if which_var == 0:  # Stage
            outname = name + '_stage'
            quantityname = 'stage'

        if which_var == 1:  # Absolute Momentum
            outname = name + '_momentum'
            quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  

        if which_var == 2:  # Depth
            outname = name + '_depth'
            quantityname = 'stage-elevation'  

        if which_var == 3:  # Speed
            outname = name + '_speed'
            quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6/(stage-elevation))'  #Speed

        if which_var == 4:  # Elevation
            outname = name + '_elevation'
            quantityname = 'elevation'  #Elevation

        for timestep in timestep_list:
            outname_time = outname + '_' + str(timestep)
            print 'output filename', outname_time
            print 'time = ',timestep
            if is_parallel == True:
                print 'is_parallel',is_parallel
    ##            for i in range(0,nodes):
    ##                namei = name + '_P%d_%d' %(i,nodes)
    ##                outnamei = outname + '_P%d_%d' %(i,nodes)
    ##                print 'start sww2dem for sww file %d' %(i)
    ##                sww2dem(namei, basename_out = outnamei,
    ##                            quantity = quantityname,
    ##                            #timestep = timestep,
    ##                            cellsize = cellsize,      
    ##                            easting_min = project_grad.e_min_area,
    ##                            easting_max = project_grad.e_max_area,
    ##                            northing_min = project_grad.n_min_area,
    ##                            northing_max = project_grad.n_max_area,        
    ##                            reduction = max, 
    ##                            verbose = True,
    ##                            format = 'asc')
            else:
                print 'start sww2dem'
                sww2dem(name, basename_out = outname_time,
                            quantity = quantityname,
                            timestep = timestep,
                            cellsize = cellsize,
                            number_of_decimal_places = 4,
                            reduction = max, 
                            verbose = True,
                            format = 'asc')


